package com.brilliance.isc.common.trndia.registermodule.impl;

import com.brilliance.isc.common.trndia.registermodule.IDiaryRegisterModule;
import com.brilliance.isc.common.trndia.vo.TrndiaVo;
import com.brilliance.isc.common.vo.SimpleModuleVo;
import com.brilliance.isc.vo.domlc.BfdBizInfoVo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

@Component("bfd.diaryRegisterModule")
public class BfdDiaryRegisterModule implements IDiaryRegisterModule {

    private static Logger log = LoggerFactory.getLogger(BfdDiaryRegisterModule.class);

    @Override
    public void registerModule(TrndiaVo trndiaVo) {
        log.debug("BFD业务品种需要注册DED业务模型");
        BfdBizInfoVo bfdBizInfoVo = (BfdBizInfoVo)trndiaVo.getRec();
        SimpleModuleVo simpleModuleVo = SimpleModuleVo.buildModule(bfdBizInfoVo.getPntinr(), bfdBizInfoVo.getPnttyp());
        trndiaVo.addRegisterModule(simpleModuleVo);
    }
}
